###############################
# Setup
###############################

# Include the template scripts.

include:
  - "https://gitlab.com/dune-archiso/dune-archiso.gitlab.io/-/raw/main/templates/docker_build_push_registry.yml"

docker_build_push_registry:
  extends: .docker_build_push_registry_template
  tags: [saas-linux-medium-amd64]
  stage: deploy
  variables:
    TAG_IMAGE: "latest"
  only:
    refs:
      - main
    changes:
      - Dockerfile
